const Employee = require("../models/employee.model");

exports.empreg = async (req, res, next) => {
    try {
      const employee = new Employee(req.body);
      const savedEmployee = await employee.save();
      res.status(201).send(employee);
    } catch (error) {
      res.status(400).send(error);
    }
  };
  
  //  router.get('/student/:id',
  exports.empget = async (req, res) => {
    const employee = await Employee.findById(req.params.id);
    res.send(employee);
  };
  
  //router.put("/updatestudent/:id",
  exports.empupdate = async (req, res, next) => {
    Employee.findByIdAndUpdate(
      req.params.id,
      { $set: req.body },
      function (err, employee) {
        if (err) return next(err);
        res.send("data udpated");
      }
    );
  };
  
  //router.delete("/deletestudent/:id",
  exports.empdel = async (req, res) => {
    Employee.findByIdAndRemove(req.params.id, function (err) {
      if (err) return next(err);
      res.send("data Deleted");
    });
  };
  
  //post with id
  exports.emppost = async (req, res, next) => {
    try {
      const id = req.params.id
      const employee = new Employee({...req.body, user_id:id});
      const savedEmployee = await employee.save();
      res.status(201).send(employee);
    } catch (error) {
      res.status(400).send(error);
    }
  };
  // router.get('/showstudent',
  exports.empshow = async (req, res) => {
    const employee = await Employee.find(
      {},
      {
        _id: 0,
      }
    );
    res.send(employee);
  };
  