const Joi = require('joi');
const Employee = require('../models/employee.model');

module.exports = {
  employee : {
    body: Joi.object({
      fname: Joi.string()
      .required()
      .max(128),
      lastname: Joi.string()
        .required()
        .max(128),
      empid: Joi.string().required(),
      designation: Joi.string().required(),
      dateofjoining: Joi.string().required(),
      user_id: Joi.required()
    })
  }
}